import { Node, Entity } from './file-browser.model';
export declare class GenerateFileBrowser {
    nodes: Node[];
    entities: Entity[];
    root: number;
    static readonly type: string;
    constructor(nodes: Node[], entities: Entity[], root: number);
}
export declare class GetNode {
    node: number;
    static readonly type: string;
    constructor(node: number);
}
export declare class GenerateHistory {
    node: number;
    static readonly type: string;
    constructor(node: number);
}
export declare class SortField {
    field: String;
    static readonly type: string;
    constructor(field: String);
}
export declare class NodeSelect {
    node: Node;
    static readonly type: string;
    constructor(node: Node);
}
export declare class GenerateTreeFirstLevel {
    static readonly type: string;
    constructor();
}
export declare class GenerateTreeLevels {
    level: number;
    static readonly type: string;
    constructor(level: number);
}
export declare class ToggleFolder {
    node: number;
    static readonly type: string;
    constructor(node: number);
}
